English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 143769 CVE descriptions
and 71225 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.112397
Category:Databases
Title:PostgreSQL < 7.3.19, 7.4.x < 7.4.17, 8.0.x < 8.0.13, 8.1.x < 8.1.9, and 8.2.x < 8.2.4 Untrusted Search Path Vulnerability (Linux)
Summary:This host is running PostgreSQL and is; prone to an untrusted search path vulnerability.
Description:Summary:
This host is running PostgreSQL and is
prone to an untrusted search path vulnerability.

Vulnerability Insight:
Untrusted search path vulnerability in PostgreSQL allows remote authenticated users,
when permitted to call a SECURITY DEFINER function, to gain the privileges of the function owner, related to 'search_path settings'.

Affected Software/OS:
PostgreSQL versions before 7.3.19, 7.4.x before 7.4.17, 8.0.x before 8.0.13,
8.1.x before 8.1.9, and 8.2.x before 8.2.4 on Linux.

Solution:
Upgrade to PostgreSQL version 7.3.19, 7.4.17, 8.0.13, 8.1.9, or 8.2.4 respectively.

CVSS Score:
6.0

CVSS Vector:
AV:N/AC:M/Au:S/C:P/I:P/A:P

Cross-Ref: BugTraq ID: 23618
Common Vulnerability Exposure (CVE) ID: CVE-2007-2138
Debian Security Information: DSA-1309 (Google Search)
http://www.debian.org/security/2007/dsa-1309
Debian Security Information: DSA-1311 (Google Search)
http://www.debian.org/security/2007/dsa-1311
http://security.gentoo.org/glsa/glsa-200705-12.xml
http://www.mandriva.com/security/advisories?name=MDKSA-2007:094
http://www.redhat.com/support/errata/RHSA-2007-0337.html
RedHat Security Advisories: RHSA-2007:0336
http://rhn.redhat.com/errata/RHSA-2007-0336.html
http://sunsolve.sun.com/search/document.do?assetkey=1-26-102894-1
http://www.trustix.org/errata/2007/0015/
http://www.ubuntu.com/usn/usn-454-1
http://www.securityfocus.com/bid/23618
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10090
http://www.vupen.com/english/advisories/2007/1497
http://www.vupen.com/english/advisories/2007/1549
http://www.securitytracker.com/id?1017974
http://secunia.com/advisories/25019
http://secunia.com/advisories/25005
http://secunia.com/advisories/24989
http://secunia.com/advisories/25037
http://secunia.com/advisories/24999
http://secunia.com/advisories/25058
http://secunia.com/advisories/25184
http://secunia.com/advisories/25238
http://secunia.com/advisories/25334
http://secunia.com/advisories/25717
http://secunia.com/advisories/25725
http://secunia.com/advisories/25720
XForce ISS Database: postgresql-searchpath-privilege-escalation(33842)
https://exchange.xforce.ibmcloud.com/vulnerabilities/33842
CopyrightCopyright (C) 2018 Greenbone Networks GmbH

This is only one of 71225 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Developer APIs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe

© 1998-2019 E-Soft Inc. All rights reserved.